#pragma once

#include <d3dx9.h>
#include "Direct3D.h"
#include "3DObject.h"
#include "Camera.h"

class CCube : public C3DObject
{
	float Size;
	
	CDirect3D *d3d;
	LPDIRECT3DTEXTURE9 g_pConcrete; 
public:
	CCube(CDirect3D *d3d, float Size);

	~CCube(void);
public:	
	virtual void  Render() override;
	
	void MoveToTile(int x, int y, int z);

	//Функции возвращают точки главной диагонали
	D3DXVECTOR3 getBack();
	D3DXVECTOR3 getFront();
};
